<?php
	###############################################################################################################################################################
	# Author:		Alexander Beyer
	# Copyright:	2010 by DevelopmentSuite
	# Contact:		Info@DevelopmentSuite.de
	#				++49 (89) 45 81 85 85
	# License:		Free for non-commercial use
	#				For commercial use please contact me
	# -------------------------------------------------------------------------------------------------------------------------------------------------------------
	# File: 		dsLogin ==> dsSettings.php
	# Version:		1.0.0
	# Last change:  09.12.2010
	###############################################################################################################################################################
	
	// If debug-mode is activated (true) further information is printed (for error-catching)
	// It's strongly recommended to disable the debuc-mode (false)
	$DEBUGMODE = false;
	
	// Name of the languge-file that shall be used
	$LANGUAGEFILE = 'dsLanguageDE.php';
	
	// Name of the session that is used to 'remember' if the user is logged in
	$SESSIONUSERNAME = 'dsLoginSession';
	
	// Name of the Parameter that is used to remember the username when its relocated to the login-formular
	$DSPARAM_LOGINID = 'LoginID';

	// Name of the Parameter that is used to pass over the login-status to the login-formular
	$DSPARAM_LOGIN = 'Login';

	// Name of the login-status if the login failed
	$DSPARAMVAL_LOGIN_FAILED = 'failed';

	// Name of the login-status if the login is expired and a protected page relocates
	$DSPARAMVAL_LOGIN_EXPIRED = 'expired';
	
	// Filename of the file that should be relocated to if the login check of a protected page fails
	$RELOCATEPAGE_LOGINCHECKFAILED = 'index.php';

	// Filename of the file that should be relocated to if the login was a success
	$RELOCATEPAGE_LOGINSUCCESS = 'admin.php';
	
	// Filename of the file that should be relocated to when the user loggs out
	$RELOCATEPAGE_LOGOUT = 'index.php';

	// Defines which fields the login form shows
	// true ==> Just a password-field is shown; $LOGININFORMATION has to be a string
	// false ==> A password-field and a username-field is shown; $LOGININFORMATION has to be an array
	$JUSTPASSWORD = false;
	//$JUSTPASSWORD = true;

	// Specifies the login-informations
	// if $JUSTPASSWORD = true ==> The variable must contain a string that defines the only valid password (JUST ONE CAN BE SET AT ALL!!)
	// if $JUSTPASSWORD = false ==> The variable must contain an array that defines the user name with the only valid password for this user (JUST ONE CAN BE SET FOR EACH USER!!)
	//								array('Username1' => 'PasswordOfUser1', 'Username2' => 'PasswordOfUser2', ...)
	$LOGININFORMATION = array('admin' => 'admin', 'gast' => 'gast');
	//$LOGININFORMATION = 'admin';
?>